<template>
  <q-layout view="hHh lpR fFf">
    <q-header bordered class="bg-primary text-white" height-hint="98">
      <q-toolbar>
        <q-toolbar-title>
          <q-avatar class="cursor-pointer" @click="$router.push({'path': '/'})">
            <img src="~assets/nessie.svg" alt="Nessie logo" title="Home">
          </q-avatar>
          Logius - Kenniscentrum XBRL <span class="appname">Taxonomy viewer</span>
        </q-toolbar-title>
      </q-toolbar>
      <q-tabs align="left" aria-label="Tabbladen">
        <q-route-tab to="/admin" label="Taxonomie toolkit"
                     title="Laden, Valideren en opslaan van taxonomieen"></q-route-tab>
        <q-route-tab to="/admin/compare" label="Versies vergelijken" title="Versies vergelijken"></q-route-tab>
        <q-route-tab to="/admin/parse_url" label="Parse from URL"
                     title="Parse rechtstreeks een taxonomie vanaf een URL"></q-route-tab>
        <q-route-tab to="/admin/taxonomy_package" label="Taxonomy package"
                     title="Upload selfcontained taxonomy"></q-route-tab>
      </q-tabs>
    </q-header>

    <q-page-container v-if="this.$store.state.user.token > '' || cookie_set()">
      <router-view/>
    </q-page-container>
    <q-page-container v-else>
      <LoginForm></LoginForm>
    </q-page-container>

    <q-footer bordered class="bg-primary text-white">
      <q-toolbar>
        <q-toolbar-title>
          <div>admin - toolkit</div>
          <div class="absolute-right">
            <q-btn class="q-ma-sm" size="md" color="secondary" text-color="primary" label="help"
                   @click="open_help"></q-btn>
            <q-btn v-if="this.$store.state.user.token > ''" class="q-ma-sm" size="md" color="secondary"
                   text-color="primary" label="Log out"
                   @click="this.$store.commit('user/LOGOUT', ''); del_cookie()"></q-btn>
          </div>
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>

  </q-layout>
</template>

<script>
import {api} from 'boot/axios'
import {useStore} from 'vuex'
import LoginForm from "components/LoginForm"
import {Cookies} from 'quasar'

export default {
  name: "Dashboard.vue",
  components: {LoginForm},
  methods: {
    open_help: function () {
      window.open('/docs/userguide/', 'help-window', 'width=980, height=1020')
    },
    cookie_set: function () {
      if (Cookies.has('kc_token') && Cookies.get('kc_token') > '') {
        this.$store.commit('user/LOGIN_OK', Cookies.get('kc_token'))
        console.log("I'm set 'kc_token' " + Cookies.get('kc_token'))
        return true
      }
      return false
    },
    del_cookie: function () {
      if (Cookies.has('kc_token')) {
        Cookies.set('kc_token', "", {expires: -1})
        Cookies.remove('kc_token')
      }
      console.log("==========del==============")
      console.log(Cookies.get('kc_token'))
      console.log(this.$store.state.user.token)
      console.log("+=+=+=+=+=+=+=+=+=+=+=+=+=+")
      window.location.reload()
    }
  }
}

</script>
